# Draw
TKTopTest
GeomliteTest

# GeomliteTest Class Reference

this package provides elementary commands for curves and
surface.

`#include <GeomliteTest.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | AllCommands (Draw_Interpretor &I)
| defines all geometric commands.
static Standard_EXPORT void | CurveCommands (Draw_Interpretor &I)
| defines curve commands.
static Standard_EXPORT void | SurfaceCommands (Draw_Interpretor &I)
| defines surface commands.
static Standard_EXPORT void | API2dCommands (Draw_Interpretor &I)
| defines commands to test the Geom2dAPI - Intersection - Extrema - Projection - Approximation, interpolation
static Standard_EXPORT void | ApproxCommands (Draw_Interpretor &I)
| defines constrained curves commands.
static Standard_EXPORT void | ModificationCommands (Draw_Interpretor &I)
| defines curves and surfaces modification commands. - Curve extension to point - Surface extension by length

## Member Function Documentation

static Standard_EXPORT void GeomliteTest::AllCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeomliteTest::API2dCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeomliteTest::ApproxCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeomliteTest::CurveCommands | ( | Draw_Interpretor & | I | ) | `[static]`

static Standard_EXPORT void GeomliteTest::ModificationCommands | ( | Draw_Interpretor & | I | ) | `[static]`

void GeomliteTest::operator delete | ( | void * | anAddress | ) | `[inline]`

void* GeomliteTest::operator new | ( | size_t | size | ) | `[inline]`

void* GeomliteTest::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void GeomliteTest::SurfaceCommands | ( | Draw_Interpretor & | I | ) | `[static]`

The documentation for this class was generated from the following file:

- GeomliteTest.hxx